#define MyApplication "\SFQueryProjects\SFQueryACT2005\sfquery.exe"
#define MyPassword    "bitez#moi"
#define MyBeforeFile  "\SFQueryProjects\SFQueryACT2005\actinnosetupbeforefile.rtf"
#define MyAppName     "Stonefield Query for ACT! 2005-2006"
#define MyAppPath     "SFQueryProjects\SFQueryACT2005\"
#define MyCopyright   "Copyright  1996-2006 Stonefield Software Inc. All rights reserved."
#define MyVersion     GetFileVersion(MyApplication)
#define MyURL         "http://www.stonefieldquery.com"
#define MyCompany     "Stonefield Software Inc."

[Setup]
Password={#MyPassword}
AppName={#MyAppName}
AppVerName={#MyAppName}
AppVersion={#MyVersion}
AppPublisher={#MyCompany}
AppPublisherURL={#MyURL}
AppSupportURL={#MyURL}
AppUpdatesURL={#MyURL}
DefaultDirName={pf}\{#MyAppName}
DefaultGroupName={#MyAppName}
AppendDefaultDirName=no
LicenseFile=\SFQuery\SFQueryDDEditor9\eula.rtf
Compression=lzma
SolidCompression=true
PrivilegesRequired=admin
UninstallDisplayIcon=\SFQuery\SFQueryDDEditor9\SFQuery.ico
AppCopyright={#MyCopyright}
VersionInfoDescription={#MyAppName} Setup
VersionInfoVersion={#MyVersion}
VersionInfoTextVersion={#MyVersion}
VersionInfoCompany={#MyCompany}
VersionInfoCopyright={#MyCopyright}
WizardImageFile=compiler:WizModernImage-IS.bmp
WizardSmallImageFile=compiler:WizModernSmallImage-IS.bmp
InfoBeforeFile={#MyBeforeFile}

#include "\SFQuery\Inno Setup\SQ9Runtimes.iss"

[InstallDelete]
Type: files; Name: "{app}\sfscript.*"
Type: files; Name: "{app}\sfconfig.*"
Type: files; Name: "{app}\SFQueryAct2005COM.dll"
Type: files; Name: "{app}\SFQUtil.dll"
Type: files; Name: "{app}\RegAsm.exe"

[Files]
Source: "{#MyApplication}";                   DestDir: "{app}";         Components: complete; Flags: ignoreversion
Source: "{#MyAppPath}repmeta.*";              DestDir: "{app}";         Components: complete; Flags: ignoreversion
Source: "{#MyAppPath}sfquery.ini";            DestDir: "{app}";         Components: complete; Flags: ignoreversion
Source: "{#MyAppPath}sfquery.chm";            DestDir: "{app}";         Components: complete; Flags: ignoreversion
Source: "{#MyAppPath}sfquery.pdf";            DestDir: "{app}";         Components: complete; Flags: ignoreversion
Source: "{#MyAppPath}Reports\*";              DestDir: "{app}\Reports"; Components: complete; Flags: ignoreversion
Source: "{#MyAppPath}qwmeta.*";               DestDir: "{app}";         Components: complete; Flags: ignoreversion
Source: "{#MyAppPath}fieldutil.dbf";          DestDir: "{app}";         Components: complete; Flags: ignoreversion
Source: "\SFQuery\Inno Setup\RichTx32.ocx";   DestDir: "{sys}";                               Flags: onlyifdoesntexist sharedfile regserver
Source: "{#MyAppPath}SFQueryAct2005COM.dll";  DestDir: "{cf}\Microsoft Shared\VFP";           Flags: ignoreversion
Source: "{#MyAppPath}SFQUtil.dll";            DestDir: "{cf}\Microsoft Shared\VFP";           Flags: ignoreversion
Source: "{#MyAppPath}RegAsm.exe";             DestDir: "{cf}\Microsoft Shared\VFP";           Flags: ignoreversion

[Run]
Filename: "{app}\sfquery.exe"; Description: "{cm:LaunchProgram,Stonefield Query}"; Flags: nowait postinstall skipifsilent; OnlyBelowVersion: 0,6
Filename: "{cf}\Microsoft Shared\VFP\RegAsm.exe"; Parameters: "SFQUtil.dll /codebase";           WorkingDir: "{cf}\Microsoft Shared\VFP"; Flags: runhidden
Filename: "{cf}\Microsoft Shared\VFP\RegAsm.exe"; Parameters: "SFQueryAct2005COM.dll /codebase"; WorkingDir: "{cf}\Microsoft Shared\VFP"; Flags: runhidden

[Icons]
Name: {group}\{#MyAppName};         Filename: {app}\sfquery.exe; WorkingDir: {app}
Name: {group}\{#MyAppName} Help;    Filename: {app}\sfquery.chm
Name: {commondesktop}\{#MyAppName}; Filename: {app}\sfquery.exe; WorkingDir: {app}; Tasks: desktopicon

[Registry]
; Rich Text Control license
Root: HKCR; Subkey: "Licenses\DC4D7920-6AC8-11cf-8ADB-00AA00C00905"; ValueType: string; ValueName: ""; ValueData: "iokouhloohrojhhhtnooiokomiwnmohosmsl"

