#define MyAppName "My Second Application"
#define MyAppVerName "My Second Application 1.0"
#define MyAppPublisher "My Company, Inc."
#define MyAppURL "http://www.mycompany.com"
#define MyAppExeName "sample1.exe"

[Setup]
AppName={#MyAppName}
AppVerName={#MyAppVerName}
AppPublisher={#MyAppPublisher}
AppPublisherURL={#MyAppURL}
AppSupportURL={#MyAppURL}
AppUpdatesURL={#MyAppURL}
DefaultDirName={pf}\{#MyAppName}
DefaultGroupName={#MyAppName}
LicenseFile=license.txt
OutputBaseFilename=setup
Compression=lzma
SolidCompression=yes

[Types]
Name: "complete";    Description: "Full installation"
Name: "workstation"; Description: "Workstation only"

[Components]
Name: "appfiles"; Description: "Program files";  Types: complete
Name: "required"; Description: "Required files"; Types: complete workstation; Flags: fixed

[Tasks]
Name: desktopicon; Description: {cm:CreateDesktopIcon}; GroupDescription: {cm:AdditionalIcons}; Flags: unchecked

[Files]
Source: sample1.exe; DestDir: {app}; Components: appfiles; Flags: ignoreversion
Source: readme.txt;  DestDir: {app}; Components: appfiles; Flags: ignoreversion

[Icons]
Name: {group}\{#MyAppName};       Filename: {app}\{#MyAppExeName}
Name: {commondesktop}\{#MyAppName}; Filename: {app}\{#MyAppExeName}; Tasks: desktopicon

[Run]
Filename: {app}\{#MyAppExeName}; Description: {cm:LaunchProgram,{#MyAppName}}; Flags: nowait postinstall skipifsilent; OnlyBelowVersion: 0,6

